#define F_CPU 8000000UL

#include <avr/io.h> //Файл определения имён регистров, портов, констант...
#include <util/delay.h> //Функции ожидания

int main(void) //Основной цикл
{
	
//Настройка портов

DDRB |= (1<<PB3); //Настраиваем линию порта PB3/OC2 на вывод
DDRC &= ~(1<<PC0); //Настраиваем линию порта PCO/ADC0 на вход
	
//Настройка таймера

TCCR2 = (0<<FOC2)|  // Bit 7 – Force Output Compare
		(1<<WGM20)| // Bit 6 – Waveform Generation Mode
		(1<<COM21)| // Bit 5 – Compare Match Output Mode
		(0<<COM20)| // Bit 4 – Compare Match Output Mode
		(1<<WGM21)| // Bit 3 – Waveform Generation Mode
		(1<<CS22)|  // Bit 2 – Clock Select
		(0<<CS21)|  // Bit 1 – Clock Select
		(1<<CS20);  // Bit 0 – Clock Select

//Настройка АЦП

ADMUX = (0<<REFS1)| // Bit 7 – Reference Selection Bits
	   (0<<REFS0)| // Bit 6 – Reference Selection Bits
	   (1<<ADLAR)| // Bit 5 – ADC Left Adjust Result
	   (0<<MUX3)|  // Bit 3 – Analog Channel and Gain Selection Bits
	   (0<<MUX2)|  // Bit 2 – Analog Channel and Gain Selection Bits
	   (0<<MUX1)|  // Bit 1 – Analog Channel and Gain Selection Bits
	   (0<<MUX0);  // Bit 0 – Analog Channel and Gain Selection Bits

ADCSRA = (1<<ADEN)|  // Bit 7 – ADC Enable
		(1<<ADSC)|  // Bit 6 – ADC Start Conversion
		(1<<ADFR)|  // Bit 5 – ADC Free Running Select
		(0<<ADIE)|  // Bit 3 – ADC Interrupt Enable
		(1<<ADPS2)| // Bit 2 – ADC Prescaler Select Bits
		(1<<ADPS1)| // Bit 1 – ADC Prescaler Select Bits
		(1<<ADPS0); // Bit 0 – ADC Prescaler Select Bits

/***************************************************************************/
    while(1) //Бесконечный цикл
		{
			OCR2 = ADCH;
		}
}